#!/bin/sh

# Handle the incoming configuration files:
config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/todorc.new

( cd usr/bin ; rm -rf tdd )
( cd usr/bin ; ln -sf devtodo tdd )
( cd usr/bin ; rm -rf tda )
( cd usr/bin ; ln -sf devtodo tda )
( cd usr/bin ; rm -rf todo )
( cd usr/bin ; ln -sf devtodo todo )
( cd usr/bin ; rm -rf tdr )
( cd usr/bin ; ln -sf devtodo tdr )
( cd usr/bin ; rm -rf tde )
( cd usr/bin ; ln -sf devtodo tde )
( cd usr/bin ; rm -rf tdl )
( cd usr/bin ; ln -sf devtodo tdl )
( cd usr/man/man1 ; rm -rf tde.1.gz )
( cd usr/man/man1 ; ln -sf devtodo.1.gz tde.1.gz )
( cd usr/man/man1 ; rm -rf tdl.1.gz )
( cd usr/man/man1 ; ln -sf devtodo.1.gz tdl.1.gz )
( cd usr/man/man1 ; rm -rf tda.1.gz )
( cd usr/man/man1 ; ln -sf devtodo.1.gz tda.1.gz )
( cd usr/man/man1 ; rm -rf tdd.1.gz )
( cd usr/man/man1 ; ln -sf devtodo.1.gz tdd.1.gz )
( cd usr/man/man1 ; rm -rf todo.1.gz )
( cd usr/man/man1 ; ln -sf devtodo.1.gz todo.1.gz )
( cd usr/man/man1 ; rm -rf tdr.1.gz )
( cd usr/man/man1 ; ln -sf devtodo.1.gz tdr.1.gz )
